##
# The Feedback service abstract two actions: report_bug, that delegates behavior for a BugReporter service; and send_feedback, that stores a user review of the system.
class FeedbackService

  def initialize(bugreporter_service)
    @bugreporter_service = bugreporter_service
  end

  ##
  # delegates the behavior for a bug reporter service
  def report_bug(bug)
    @bugreporter_service.report bug
  end

  ##Feedback is an user review of the system
  # store the feedbacks in database and send notification
  def send_feedback(feedback)
    # save and send an email
    feedback.save!
    # send notification
  end

end