class TagsImporter
  def initialize(items)
    @items = items
  end

  def import
    @items.each do |learning_object|
      learning_object.tag_list = parse_tags learning_object.get_metadata_values_of 'dc.subject.category'
      ActsAsTaggableOn::Tag.find_by_name(learning_object.tag_list.first).update(tag_type: 'school_level')
      learning_object.save
    end
  end

  private

  def parse_tags(values)
    tags = []
    values.compact!
    values.each { |value| tags = value.split('::') }
    tags.map(&:strip)
  end
end
